Loading...
Searching...
No Matches
cl::EnqueueArgs Class Reference

## Public Member Functions

| EnqueueArgs (NDRange global)
| EnqueueArgs (NDRange global, NDRange local)
| EnqueueArgs (NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (Event e, NDRange global)
| EnqueueArgs (Event e, NDRange global, NDRange local)
| EnqueueArgs (Event e, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (const vector< Event > &events, NDRange global)
| EnqueueArgs (const vector< Event > &events, NDRange global, NDRange local)
| EnqueueArgs (const vector< Event > &events, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, NDRange global)
| EnqueueArgs (CommandQueue &queue, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange global)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange global)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange offset, NDRange global, NDRange local)

## Friends

template<typename... Ts>
class | KernelFunctor

## Detailed Description

Definition at line 10900 of file opencl.hpp.

## Constructor & Destructor Documentation

## EnqueueArgs() [1/18]

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | global | ) |

inline

Definition at line 10913 of file opencl.hpp.

## EnqueueArgs() [2/18]

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | global,
|  | NDRange | local )

inline

Definition at line 10922 of file opencl.hpp.

## EnqueueArgs() [3/18]

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 10931 of file opencl.hpp.

## EnqueueArgs() [4/18]

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | global )

inline

Definition at line 10940 of file opencl.hpp.

## EnqueueArgs() [5/18]

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 10949 of file opencl.hpp.

## EnqueueArgs() [6/18]

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 10958 of file opencl.hpp.

## EnqueueArgs() [7/18]

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | global )

inline

Definition at line 10967 of file opencl.hpp.

## EnqueueArgs() [8/18]

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 10977 of file opencl.hpp.

## EnqueueArgs() [9/18]

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 10987 of file opencl.hpp.

## EnqueueArgs() [10/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | global )

inline

Definition at line 10997 of file opencl.hpp.

## EnqueueArgs() [11/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 11006 of file opencl.hpp.

## EnqueueArgs() [12/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 11015 of file opencl.hpp.

## EnqueueArgs() [13/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | global )

inline

Definition at line 11024 of file opencl.hpp.

## EnqueueArgs() [14/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 11033 of file opencl.hpp.

## EnqueueArgs() [15/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 11042 of file opencl.hpp.

## EnqueueArgs() [16/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | global )

inline

Definition at line 11051 of file opencl.hpp.

## EnqueueArgs() [17/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 11061 of file opencl.hpp.

## EnqueueArgs() [18/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local )

inline

Definition at line 11071 of file opencl.hpp.

## Friends And Related Symbol Documentation

## KernelFunctor

template<typename... Ts>

friend class KernelFunctor

friend

Definition at line 10910 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp